Subject: RE: Postgresql 6. 5 cygwin ports available ?
From: Joost Kraaijeveld <[email-masked]>
To: "'Christian Jullien'" <[email-masked]>
Cc: "Cygwin@Sourceware. Cygnus. Com (E-mail)" <[email-masked]>
Date: Fri, 18 Jun 1999 15:42:32 +0200

> My goal is to have the port has easy as:
> 
> 	bash$ sh configure
> 	bash$ make
> 	bash$ make install
> 
> That's what I consider 'right out of the box'.
That's what I type.

> 1) Prerequisit: Postgresql requires cygwin32_ipc-1.03.tar.gz
>    ./configure should test that this package is already 
> installed, otherwise
> it
>    complains that gcc is not able to produce executable!!
I don't mind thinking. I know that I have to install the Andy Piper
tools and Cygwin32_ipc before I try to do a configure. I am not smart
enough to adapt the configuration script.

> 2) sh configure complains that backend/port/tas/dummy.s 
> cannot be linked to
> tas.s
?????? Not at my machine.

> 3) check that MAKE_MODE is set to UNIX otherwise 'if' shell 
> command will try
> to
>    execute cmd.exe but not /bin/sh 'if' shell.
> 
>    bash$ export MAKE_MODE=UNIX
Correct. I have forgotten to mention that.

> 4) inform the user to change or check Makefile.global to 
> reflect its current
>    installation. For example; my system didn't defined /sw 
> directory for
> bison files
Is in the readme.nt (in the development version of postgresql, post
release 6.5?) and in the file I have send to you. 

> 5) call the build process using 'make'
>    This one hangs after fews minutes after try to find 
> libcrypt.a which is
> not
>    currently in cygwin distribution. Which one to use ?
> 
>    I give up on that point.
My libcrypt.a was in the Andy Piper tools. 
 
> When you say 'All works without binairy mounts', does it 
> means _right now_
> or is it already done in 6.5 distribution ?
Right now is the 6.5 final release version. That's what I use.

Joost Kraaijeveld
Askesis B.V.
Groenewoudseweg 46
6524VB Nijmegen
tel: 024-3888063 / 06-51855277
fax: 024-3608416
email: [email-masked]
web: www.askesis.nl 

--
Want to unsubscribe from this list?
Send a message to [email-masked]